#
# spec file for package xfce4-panel-plugin-verve
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define panel_version 4.8.0
%define plugin_name xfce4-verve-plugin

Name:           xfce4-panel-plugin-verve
Version:        1.0.1
Release:        5.1
Summary:        Command Line Plugin for the Xfce Panel
License:        GPL-2.0+
Group:          System/GUI/XFCE
Url:            http://goodies.xfce.org/projects/panel-plugins/xfce4-verve-plugin
Source0:        http://archive.xfce.org/src/panel-plugins/%{plugin_name}/1.0/%{plugin_name}-%{version}.tar.bz2
BuildRequires:  fdupes
BuildRequires:  intltool
BuildRequires:  pkgconfig(dbus-glib-1)
BuildRequires:  pkgconfig(exo-1)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gthread-2.0)
BuildRequires:  pkgconfig(libpcre)
BuildRequires:  pkgconfig(libxfce4panel-1.0)
BuildRequires:  pkgconfig(libxfce4ui-1)
BuildRequires:  pkgconfig(libxfce4util-1.0)
Requires:       xfce4-panel >= %{panel_version}
# uses exo-open
Requires:       exo-tools
Recommends:     %{name}-lang = %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The Verve panel plugin is a command line plugin for the Xfce panel which
supports a command history, auto-completion, keyboard-shortcut focus grabbing and
opening URLs.

%lang_package

%prep
%setup -q -n %{plugin_name}-%{version}

%build
%configure
make %{_smp_mflags} V=1

%install
%make_install

rm -f %{buildroot}%{_libdir}/xfce4/panel/plugins/libverve.la

%find_lang %{plugin_name} %{name}.lang %{?no_lang_C}

%fdupes %{buildroot}%{_datadir}

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README THANKS
%{_bindir}/verve-focus
%{_datadir}/xfce4/panel/plugins/xfce4-verve-plugin.desktop
%{_libdir}/xfce4/panel/plugins/libverve.so

%files lang -f %{name}.lang

%changelog
* Tue Jan 27 2015 gber@opensuse.org
- update to version 1.0.1
  - Use exo-open instead of the deprecated xfterm4 to launch
    commands in a term via ctrl-enter (bxo#9978)
  - Fix style when the entry loses focus (bxo#3525)
  - Build the plugin as a module
  - Port to libxfce4ui
  - Tons of translation updates
* Sun Apr 29 2012 gber@opensuse.org
- add dependency on exo-tools since exo-open is used
* Fri Apr 20 2012 gber@opensuse.org
- added documentation files
* Tue Apr 17 2012 gber@opensuse.org
- corrected source URL
* Wed Apr  4 2012 gber@opensuse.org
- specfile cleanup
- correct dependencies
- split off -lang subpackage
* Wed Mar  9 2011 gber@opensuse.org
- new package (split off from xfce4-panel-plugins)
